#
# spec file for package python-tempora
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-tempora
Version:        1.6.1
Release:        4.1
Summary:        Objects and routines pertaining to date and time (tempora)
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jaraco/tempora
Source:         https://files.pythonhosted.org/packages/source/t/tempora/tempora-%{version}.tar.gz
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytz
Requires:       python-six
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python2-backports.unittest_mock
%endif
%python_subpackages

%description
Objects and routines pertaining to date and time (tempora)

Modules include:
* tempora (top level package module) contains miscellaneous utilities and constants.
* timing contains routines for measuring and profiling.
* schedule contains an event scheduler.

%prep
%setup -q -n tempora-%{version}

%build
%python_build

%install
%python_install
%fdupes %{buildroot}

%check
%python_exec -m pytest tests

%files %{python_files}
%doc CHANGES.rst README.rst docs/*rst
%python3_only %{_bindir}/calc-prorate
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu Jan 11 2018 tchvatal@suse.com
- Fix building with python3 only available
* Fri Mar 31 2017 jmatejek@suse.com
- update for singlespec
- update to 1.6.1
  * adopt irc.schedule as tempora.schedule
  * adopt jaraco.timing as tempora.timing
* Tue Aug  2 2016 sor.alexei@meowr.ru
- Switch to Python2.
* Thu Jun  9 2016 toddrme2178@gmail.com
- Remove unneeded python3-Sphinx dependency.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Dec 29 2015 arun@gmx.de
- specfile:
  * updated url (moved to github)
  * *.txt -> *.rst in %%doc
  * changed from zip to tar-ball
- update to version 1.4:
  * moved to Github.
  * Improved test support on Python 2.
* Sat Apr 25 2015 arun@gmx.de
- specfile:
  * added python3-setuptools_scm
  * removed python3-hgtools
- update to version 1.3:
  * Added divide_timedelta from "svg.charts".
  * Added date_range from "svg.charts".
* Sun Feb 22 2015 arun@gmx.de
- update to version 1.2:
  * Only require sphinx and pytest-runner when necessary.
* Mon Feb 16 2015 arun@gmx.de
- update to version 1.1:
  * Add license info (retroactively applied to all commits).
* Sat Feb 14 2015 arun@gmx.de
- initial version
